# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               winff
Version:            1.4.2
Release:            1.9
Summary:            Multimedia File Converter
Source:             http://winff.googlecode.com/files/winff-%{version}-source.tar.gz
Source1:            winff.desktop
URL:                http://winff.org
Group:              Productivity/Multimedia/Video/Editors and Convertors
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      lazarus
BuildRequires:      cairo-devel
BuildRequires:      atk-devel
BuildRequires:      pango-devel
BuildRequires:      gtk2-devel
BuildRequires:      update-desktop-files
Requires:           ffmpeg

%description
WinFF is a GUI for the command line video converter, FFMPEG. It will convert
any video file that FFmpeg will convert. WinFF does multiple files in multiple
formats at one time. You can for example convert mpeg's, flv's, and mov's, all
into avi's all at once.

%lang_package

%prep
%setup -q -n winff

%build
lazbuild winff.lpr --ws=gtk2

%install
%__install -D -m0755 winff "%{buildroot}%{_bindir}/winff"
%__install -d -m0755 "%{buildroot}%{_datadir}/winff"
find . -name '*.xml' -exec %__install -D -m0644 {} "%{buildroot}%{_datadir}/winff/" \;
%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
for s in 16 24 32 48; do
    %__install -D -m0644 "winff-icons/${s}x${s}/winff.png" \
        "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/winff.png"
done

%__install -d -m0755 "%{buildroot}%{_datadir}/winff/languages"
find . -name '*.po' -exec %__install -D -m0644 {} "%{buildroot}%{_datadir}/winff/languages/" \;

%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing

L="$PWD/%{name}.lang"; echo -n >"$L"
B="%{_datadir}/winff/languages"
pushd "%{buildroot}$B"
/bin/ls -1 winff.*.po | while read po; do
    l="${po%.po}"
    l="${l#winff.}"
    echo "%lang($l) $B/$po" >>"$L"
done
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS *.txt
%{_bindir}/winff
%dir %{_datadir}/winff
%dir %{_datadir}/winff/languages
%lang(en) %{_datadir}/winff/languages/winff.po
%config %{_datadir}/winff/presets.xml
%{_datadir}/icons/*/*/apps/winff.*
%{_datadir}/applications/%{name}.desktop

%files lang -f "%{name}.lang"
%defattr(-,root,root)

%changelog
* Sun Apr 29 2012 pascal.bleser@opensuse.org
- initial version (1.4.2)
